package com.fs.erp.dto.df;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.util.List;

/**
 * 顺丰下单响应包装类
 */
@Data
public class BspOrderResponseWrapper {
    @JsonProperty("failMsg")
    private String failMsg; // 失败原因

    @JsonProperty("loginAccount")
    private String loginAccount; // 代服系统登录账号

    @JsonProperty("orderNumber")
    private String orderNumber; // 订单号（不能重复）

    @JsonProperty("mailNumber")
    private String mailNumber; // 运单号

    @JsonProperty("attach")
    private String attach; // 附加数据

    @JsonProperty("bspResponse")
    private BspOrderResponse bspResponse; // 上游系统下单返回数据
}

