package com.fs.erp.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 财务数据DTO
 */
@Data
class FinanceDataDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 返点费用
     */
    private Double rebateFee;

    /**
     * 商品税
     */
    private Double productTax;

    /**
     * 运输税
     */
    private Double shippingTax;

    /**
     * 其他收入
     */
    private Double otherIncome;

    /**
     * 卖家代金券
     */
    private Double voucherFromSeller;

    /**
     * 平台佣金
     */
    private Double platformCommission;

    /**
     * 过渡费
     */
    private Double transitionFee;

    /**
     * 交易费
     */
    private Double transactionFee;

    /**
     * 不透明包装费
     */
    private Double opaqueBaggingFee;

    /**
     * 其他支出
     */
    private Double otherExpense;
}
